### org.jfree.layouting.input.style.values

# Class CSSRectangleValue

- `java.lang.Object`
- - `org.jfree.layouting.input.style.values.CSSRectangleValue`

Implemented Interfaces:
  CSSValue, Serializable

`public class CSSRectangleValue`
`extends java.lang.Object`
`implements CSSValue`

Creation-Date: 23.11.2005, 12:04:06

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSRectangleValue(CSSRectangleType type, CSSNumericValue top, CSSNumericValue right, CSSNumericValue bottom, CSSNumericValue left)`

  ## Method Summary

  `CSSNumericValue`

  `getBottom()`

  `String`

  `getCSSText()`

  `CSSNumericValue`

  `getLeft()`

  `CSSNumericValue`

  `getRight()`

  `CSSNumericValue`

  `getTop()`

  `CSSRectangleType`

  `getType()`

  `String`

  `toString()`

## Constructor Details

### CSSRectangleValue

    public CSSRectangleValue(CSSRectangleType type,
                             CSSNumericValue top,
                             CSSNumericValue right,
                             CSSNumericValue bottom,
                             CSSNumericValue left)

## Method Details

### getBottom

    public CSSNumericValue getBottom()

### getCSSText

    public String getCSSText()

> Specified by:
>   getCSSText in interface CSSValue

### getLeft

    public CSSNumericValue getLeft()

### getRight

    public CSSNumericValue getRight()

### getTop

    public CSSNumericValue getTop()

### getType

    public CSSRectangleType getType()

### toString

    public String toString()